.outsourcing {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.outsourcing-header {
    display: flex;
    align-items: center;
    gap: 20px;
    height: 120px;
}

.outsourcing-header-button {
    border-radius: 20px;
    padding: 0 15px;
    border: 0;
    font-size: 20px;
    height: 50px;
    font-weight: bold;
    cursor: pointer;
    color: var(--font-color);
    background-color: var(--main-color);
}

.outsourcing-header-text {
    text-align: right;
    font-weight: bold;
    font-size: 28px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.outsourcing-header-text p {
    margin: 0;
}

.outsourcing-details {
    position: relative;
    display: flex;
    width: 70%;
    margin-top: 120px;
    margin-right: -120px;
}

.outsourcing-details-left-box {
    position: absolute;
    top: -80px;
    left: -150px;
    border-radius: 20px;
    padding: 30px 50px;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    max-height: 250px;
    background-color: var(--main-color);
    color: var(--font-color);
    font-size: 28px;
}

.outsourcing-details-right-box {
    border-radius: 20px;
    padding: 50px;
    display: flex;
    justify-content: center;
    min-height: 400px;
    background-color: #ebebeb;
}

.outsourcing-details--image {
    display: flex;
    align-items: flex-end;
}

.outsourcing-details--image img {
    height: 200px;
    width: 200px;
    filter: invert(0.95) drop-shadow(2px 4px 7px #bababa);
}

.outsourcing-details--text {
    margin: 0 0 0 50px;
    font-size: 20px;
    text-align: justify;
    display: flex;
    align-items: center;
}

.font-color-main {
    color: var(--main-color);
}

@media only screen and (max-width: 1020px) {
    .outsourcing-details {
        flex-direction: column;
        margin-right: 0;
        margin-top: 50px;
        width: 90%;
    }

    .outsourcing-header {
        flex-direction: column;
    }

    .outsourcing-header-text {
        text-align: center;
    }

    .outsourcing-header-button {
        padding: 10px;
    }

    .outsourcing-details-right-box {
        flex-direction: column-reverse;
        align-items: center;
    }

    .outsourcing-details-right-box img {
        margin-top: 30px;
    }

    .outsourcing-details--text {
        margin: 0;
    }

    .outsourcing-details-left-box {
        position: initial;
        margin-bottom: 20px;
    }
}
